Interface

Legacy request option properties kept for backwards compatibility.

Properties

PropertyTypeNotes
credentialsRequestCredentials

A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.

headers{}

Additional Headers to pass into the request.

hideTokenboolean

Prevents the token from being passed in a URL query parameter that is saved in browser history.

httpMethodHTTPMethods

The HTTP method to send the request with.

maxUrlLengthnumber

If the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.

rawResponseboolean

Return the raw response

signalAbortSignal

An AbortSignal object instance; allows you to abort a request and via an AbortController.

suppressWarningsboolean

Suppress any ArcGIS REST JS related warnings for this request.

credentials

optionaldeprecated
Interface Property
credentials: RequestCredentials

A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.

headers

optionaldeprecated
Interface Property
headers: {}

Additional Headers to pass into the request.

Type declaration

    hideToken

    optionaldeprecated
    Interface Property
    hideToken: boolean

    Prevents the token from being passed in a URL query parameter that is saved in browser history.

    httpMethod

    optionaldeprecated
    Interface Property
    httpMethod: HTTPMethods

    The HTTP method to send the request with.

    maxUrlLength

    optionaldeprecated
    Interface Property
    maxUrlLength: number

    If the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.

    rawResponse

    optionaldeprecated
    Interface Property
    rawResponse: boolean

    Return the raw response

    signal

    optionaldeprecated
    Interface Property
    signal: AbortSignal

    An AbortSignal object instance; allows you to abort a request and via an AbortController.

    suppressWarnings

    optionaldeprecated
    Interface Property
    suppressWarnings: boolean

    Suppress any ArcGIS REST JS related warnings for this request.

    Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.